Skip to Content
API ReferenceTickets

Search ticket messages

Search a ticket's messages with filters, search terms, includes, and sort instructions in a JSON request body.

Search a ticket's messages with filters, search terms, includes, and sort instructions in a JSON request body.

POST
/v2/tickets/{ticket}/messages/search

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Path Parameters

ticket*integer

The ticket path parameter.

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json
  1. body
filters?array<|>
sort?array<>
search?
includes?array<>

Response Body

Successful response.

application/json
  1. response
data*array<>
links*
meta*
Example Request
curl -X POST 'https://sell.app/api/v2/tickets/1/messages/search' \  -H 'X-STORE: launch-lab' \  -H 'Content-Type: application/json' \  -d '{  "filters": [    {      "field": "id",      "operator": "=",      "value": 1    }  ],  "sort": [    {      "field": "created_at",      "direction": "desc"    }  ]}'
{  "data": [    {      "id": 1,      "author": "CUSTOMER",      "sender": "jamie.chen@example.com",      "content": "Hello, which payment methods can I use for this purchase?",      "created_at": "2022-12-12T12:12:12.000000Z",      "updated_at": "2022-12-12T12:12:12.000000Z",      "ticket_id": 1    }  ],  "links": {    "first": "https://sell.app/api/v2/tickets/1/messages/search?page=1",    "last": "https://sell.app/api/v2/tickets/1/messages/search?page=1",    "prev": null,    "next": null  },  "meta": {    "current_page": 1,    "from": 1,    "last_page": 1,    "path": "https://sell.app/api/v2/tickets/1/messages/search",    "per_page": 20,    "to": 1,    "total": 1,    "links": [      {        "url": null,        "label": "&laquo; Previous",        "active": false      },      {        "url": "https://sell.app/api/v2/tickets/1/messages/search?page=1",        "label": "1",        "active": true      },      {        "url": null,        "label": "Next &raquo;",        "active": false      }    ]  }}